from fastapi import APIRouter, Header, HTTPException

from src.api.config import (API_FLIGHTS, API_NOTIFICATIONS, API_SUBSCRIPTIONS,
                            API_USERS)
from src.api.schemas.notification import Update as Message
from src.api.utils.network import request

router = APIRouter()


@router.post("")
async def receive_message(message: Message):
    print(message.model_dump())
    (response, status, _) = await request(
        f"{API_NOTIFICATIONS}", "POST", json=message.model_dump()
    )
    if status < 200 or status > 204:
        raise HTTPException(status_code=status, detail=response)
    return response

